# Collections

Groups of related resources within the workspace. Learn more about collections [here](https://docs.secoda.com/features/collections-1).

## List Collections

> This endpoint allows you to retrieve a list of collections. You can optionally filter the collections by title using the "title" query parameter.<br>

```json
{"openapi":"3.0.0","info":{"title":"Secoda API","version":"8.22.39"},"tags":[{"name":"Collections","description":"Groups of related resources within the workspace. Learn more about collections [here](https://docs.secoda.com/features/collections-1).\n"}],"servers":[{"url":"https://api.secoda.co","description":"Base URL for all US cloud based workspaces"},{"url":"https://eapi.secoda.co","description":"Base URL for all EU cloud based workspaces"},{"url":"https://aapi.secoda.co","description":"Base URL for all APAC cloud based workspaces"},{"url":"https://{customer_domain}.secoda.co","description":"Base URL for On Premise Secoda workspaces","variables":{"customer_domain":{"default":"customer_domain","description":"The specific domain set up for your On Premise Secoda workspace."}}}],"security":[{"ApiKeyAuth":[]}],"paths":{"/api/v1/collection/collections":{"get":{"tags":["Collections"],"summary":"List Collections","description":"This endpoint allows you to retrieve a list of collections. You can optionally filter the collections by title using the \"title\" query parameter.\n","parameters":[{"in":"query","name":"title","description":"Filter collections by title (optional)","schema":{"type":"string"}}],"responses":{"200":{"description":"List of collections.","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/v1_ListResponse"},{"type":"object","properties":{"results":{"type":"array","items":{"$ref":"#/components/schemas/v1_CollectionResponse"}}}}]}}}},"400":{"description":"Bad Request"},"500":{"description":"Internal Server Error"}}}}},"components":{"schemas":{"v1_ListResponse":{"type":"object","properties":{"links":{"type":"object","description":"Indicates Links to associated pages.","properties":{"next":{"type":"string","description":"The link to the next page (null if there are no more pages)."},"previous":{"type":"string","description":"The link to the previous page (null if on the first page)."}}},"meta":{"type":"object","description":"Reprents the meta data of the response.","properties":{"page":{"type":"integer","description":"The current page number."},"previous_page":{"type":"integer","description":"The previous page number (null if on the first page)."},"next_page":{"type":"integer","description":"The next page number (null if on the last page)."}}},"count":{"type":"integer","description":"The total count of items returned."},"total_pages":{"type":"integer","description":"The total number of pages."}}},"v1_CollectionResponse":{"allOf":[{"$ref":"#/components/schemas/v1_BaseResponse"},{"type":"object","properties":{"pinned":{"type":"boolean","description":"Refers to whether the resource has been pinned by user."},"resource_count":{"type":"integer","description":"Indicates how many resources are part of the collection."}}}]},"v1_BaseResponse":{"type":"object","properties":{"id":{"type":"string","description":"The unique identifier of the resource."},"created_at":{"type":"string","format":"date-time","description":"The timestamp when the resource was created in Secoda in UTC format."},"updated_at":{"type":"string","format":"date-time","description":"The timestamp when the resource was last updated in Secoda in UTC format."},"entity_type":{"type":"string","description":"The type of resource in Secoda."},"native_type":{"type":"string","description":"The native type of the resource as it is referred to in the integration."},"bookmarked_by":{"type":"array","items":{"type":"string"},"description":"List of member IDs that have bookmarked the resource."},"icon":{"type":"string","description":"The icon associated with the resource."},"title":{"type":"string","description":"The title of the resource."},"title_full":{"type":"string","description":"The full title of the resource, including its ancestry."},"title_cased":{"type":"string","description":"The title in a cased format."},"description":{"type":"string","description":"A description of the resource."},"definition":{"type":"string","format":"markdown","description":"The documentation of the resource, written in Mark Down format."},"definition_version":{"type":"integer","description":"The version of the resource's documentation."},"multiplayers":{"type":"array","items":{"type":"string"},"description":"List of members who have opened or worked with the resource recently."},"multiplayer_last_modified_by":{"type":"string","description":"The last member who modified this resource."},"multiplayer_last_modified":{"type":"string","format":"date-time","description":"The timestamp when the multiplayer was last modified in UTC format."},"owners":{"type":"array","items":{"type":"string"},"description":"List of owner IDs for the resource."},"owners_groups":{"type":"array","items":{"type":"string"},"description":"List of owner group IDs for the resource."},"collections":{"type":"array","items":{"type":"string"},"description":"List of IDs representing the collection(s) that the resource has been added to."},"tags":{"type":"array","items":{"type":"string"},"description":"List of tag IDs added to the resource."},"workspace_id":{"type":"string","description":"The ID of the workspace."},"total_usage":{"type":"integer","description":"The total usage count for the resource."},"published":{"type":"boolean","description":"Indicates if the resource is published and can be seen by Viewers."},"archived":{"type":"boolean","description":"Indicates if the resource is deleted."},"pii":{"type":"boolean","description":"Indicates if the resource contains Personally Identifiable Information (PII). Values can be - <ul> <li> True <li> False</ul>"},"verified":{"type":"boolean","description":"Indicates if the resource is verified. Values can be - <ul><li> True <li> False</ul>"},"url":{"type":"string","description":"The URL associated with the resource."},"parent":{"type":"string","description":"The parent resource's ID."},"children_count":{"type":"integer","description":"The count of children entities of the resource."},"integration":{"type":"string","description":"The integration ID associated with the resource."},"external_updated_at":{"type":"string","format":"date-time","description":"The timestamp of the last update for the resource in the source."},"internal_usage":{"type":"integer","description":"The internal usage count for the resource."},"internal_users":{"type":"array","items":{"type":"string"},"description":"List of internal user IDs for the resource."},"external_users":{"type":"array","items":{"type":"string"},"description":"List of external user IDs for the resource extracted from the integration."},"external_usage":{"type":"integer","description":"The external usage count for the resource extracted from the source source. This is what is used to calculate Popularity of a resource."},"databuilder_id":{"type":"string","description":"The databuilder ID associated with the resource. This is a generated field."},"search_metadata":{"type":"object","description":"Metadata related to indexing the resource for optimizing search."},"sources":{"type":"array","items":{"type":"string"},"description":"List of other integrations associated with the resource. For example, if a description is pulled in from DBT for a Snowflake table, this field will reference DBT."},"subscribers":{"type":"array","items":{"type":"string"},"description":"List of User IDs who subscribe to the resource."},"teams":{"type":"array","items":{"type":"string"},"description":"List of team IDs associated with the resource."},"stale":{"type":"boolean","description":"Indicates if the resource is stale. This means this resource no longer exists in the source, as of the last extraction."},"current_user_permissions":{"type":"object","description":"Permissions of the current user for this resource.","properties":{"read":{"type":"boolean"},"write":{"type":"boolean"},"execute":{"type":"boolean"}}}}}}}}
```

## Create Collection

> This endpoint allows you to create a new collection. Note, adding resources to a collection through the API must be done on the resource that is added (by adding the collection\_id to the \`collections\` parameter). Related resources cannot be added using the \`/collection/collections\` endpoints.<br>

```json
{"openapi":"3.0.0","info":{"title":"Secoda API","version":"8.22.39"},"tags":[{"name":"Collections","description":"Groups of related resources within the workspace. Learn more about collections [here](https://docs.secoda.com/features/collections-1).\n"}],"servers":[{"url":"https://api.secoda.co","description":"Base URL for all US cloud based workspaces"},{"url":"https://eapi.secoda.co","description":"Base URL for all EU cloud based workspaces"},{"url":"https://aapi.secoda.co","description":"Base URL for all APAC cloud based workspaces"},{"url":"https://{customer_domain}.secoda.co","description":"Base URL for On Premise Secoda workspaces","variables":{"customer_domain":{"default":"customer_domain","description":"The specific domain set up for your On Premise Secoda workspace."}}}],"security":[{"ApiKeyAuth":[]}],"paths":{"/api/v1/collection/collections":{"post":{"tags":["Collections"],"summary":"Create Collection","description":"This endpoint allows you to create a new collection. Note, adding resources to a collection through the API must be done on the resource that is added (by adding the collection_id to the `collections` parameter). Related resources cannot be added using the `/collection/collections` endpoints.\n","requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"icon":{"type":"string","description":"Graphical or visual representation that symbolizes or represents an item within the collection"}},"allOf":[{"$ref":"#/components/schemas/v1_BaseResourceRequest"}]}}}},"responses":{"201":{"description":"Created","content":{"application/json":{"schema":{"$ref":"#/components/schemas/v1_CollectionResponse"}}}},"400":{"description":"Bad Request"},"500":{"description":"Internal Server Error"}}}}},"components":{"schemas":{"v1_BaseResourceRequest":{"type":"object","properties":{"title":{"type":"string","description":"The title of the resource."},"integration":{"type":"string","description":"The integration ID associated with the resource, if one exists."},"description":{"type":"string","description":"A description of the resource."},"entity_type":{"type":"string","description":"The type of the resource."},"definition":{"type":"string","description":"Mark down documentation to be added to the resource."},"parent":{"type":"string","description":"The ID of the parent resource. Please keep the resource heirarchy in mind when setting the parent."},"pii":{"type":"boolean","description":"Indicates whether the resource contains personally identifiable information (PII). Values can be - <ul><li> True <li> False</ul>"},"verified":{"type":"boolean","description":"Indicates whether the resource has been set as verified. Values can be - <ul><li> True <li> False</ul>"},"published":{"type":"boolean","description":"Indicates if the resource is visible to viewers or not. Values can be - <ul><li> True <li> False</ul>"},"teams":{"type":"array","items":{"type":"string"},"description":"A list of team IDs that the resource belongs to."},"owners":{"type":"array","items":{"type":"string"},"description":"A list of owner user IDs for the resource."},"owners_groups":{"type":"array","items":{"type":"string"},"description":"A list of owner group IDs for the resource."},"collections":{"type":"array","items":{"type":"string"},"description":"A list of collection IDs the resource belongs to."},"tags":{"type":"array","items":{"type":"string"},"description":"A list of tag IDs associated with the resources."},"subscribers":{"type":"array","description":"A list of user IDs that have been subscribed to the resource. Anyone subscribed will be notified of any changes.","items":{"type":"string"}}}},"v1_CollectionResponse":{"allOf":[{"$ref":"#/components/schemas/v1_BaseResponse"},{"type":"object","properties":{"pinned":{"type":"boolean","description":"Refers to whether the resource has been pinned by user."},"resource_count":{"type":"integer","description":"Indicates how many resources are part of the collection."}}}]},"v1_BaseResponse":{"type":"object","properties":{"id":{"type":"string","description":"The unique identifier of the resource."},"created_at":{"type":"string","format":"date-time","description":"The timestamp when the resource was created in Secoda in UTC format."},"updated_at":{"type":"string","format":"date-time","description":"The timestamp when the resource was last updated in Secoda in UTC format."},"entity_type":{"type":"string","description":"The type of resource in Secoda."},"native_type":{"type":"string","description":"The native type of the resource as it is referred to in the integration."},"bookmarked_by":{"type":"array","items":{"type":"string"},"description":"List of member IDs that have bookmarked the resource."},"icon":{"type":"string","description":"The icon associated with the resource."},"title":{"type":"string","description":"The title of the resource."},"title_full":{"type":"string","description":"The full title of the resource, including its ancestry."},"title_cased":{"type":"string","description":"The title in a cased format."},"description":{"type":"string","description":"A description of the resource."},"definition":{"type":"string","format":"markdown","description":"The documentation of the resource, written in Mark Down format."},"definition_version":{"type":"integer","description":"The version of the resource's documentation."},"multiplayers":{"type":"array","items":{"type":"string"},"description":"List of members who have opened or worked with the resource recently."},"multiplayer_last_modified_by":{"type":"string","description":"The last member who modified this resource."},"multiplayer_last_modified":{"type":"string","format":"date-time","description":"The timestamp when the multiplayer was last modified in UTC format."},"owners":{"type":"array","items":{"type":"string"},"description":"List of owner IDs for the resource."},"owners_groups":{"type":"array","items":{"type":"string"},"description":"List of owner group IDs for the resource."},"collections":{"type":"array","items":{"type":"string"},"description":"List of IDs representing the collection(s) that the resource has been added to."},"tags":{"type":"array","items":{"type":"string"},"description":"List of tag IDs added to the resource."},"workspace_id":{"type":"string","description":"The ID of the workspace."},"total_usage":{"type":"integer","description":"The total usage count for the resource."},"published":{"type":"boolean","description":"Indicates if the resource is published and can be seen by Viewers."},"archived":{"type":"boolean","description":"Indicates if the resource is deleted."},"pii":{"type":"boolean","description":"Indicates if the resource contains Personally Identifiable Information (PII). Values can be - <ul> <li> True <li> False</ul>"},"verified":{"type":"boolean","description":"Indicates if the resource is verified. Values can be - <ul><li> True <li> False</ul>"},"url":{"type":"string","description":"The URL associated with the resource."},"parent":{"type":"string","description":"The parent resource's ID."},"children_count":{"type":"integer","description":"The count of children entities of the resource."},"integration":{"type":"string","description":"The integration ID associated with the resource."},"external_updated_at":{"type":"string","format":"date-time","description":"The timestamp of the last update for the resource in the source."},"internal_usage":{"type":"integer","description":"The internal usage count for the resource."},"internal_users":{"type":"array","items":{"type":"string"},"description":"List of internal user IDs for the resource."},"external_users":{"type":"array","items":{"type":"string"},"description":"List of external user IDs for the resource extracted from the integration."},"external_usage":{"type":"integer","description":"The external usage count for the resource extracted from the source source. This is what is used to calculate Popularity of a resource."},"databuilder_id":{"type":"string","description":"The databuilder ID associated with the resource. This is a generated field."},"search_metadata":{"type":"object","description":"Metadata related to indexing the resource for optimizing search."},"sources":{"type":"array","items":{"type":"string"},"description":"List of other integrations associated with the resource. For example, if a description is pulled in from DBT for a Snowflake table, this field will reference DBT."},"subscribers":{"type":"array","items":{"type":"string"},"description":"List of User IDs who subscribe to the resource."},"teams":{"type":"array","items":{"type":"string"},"description":"List of team IDs associated with the resource."},"stale":{"type":"boolean","description":"Indicates if the resource is stale. This means this resource no longer exists in the source, as of the last extraction."},"current_user_permissions":{"type":"object","description":"Permissions of the current user for this resource.","properties":{"read":{"type":"boolean"},"write":{"type":"boolean"},"execute":{"type":"boolean"}}}}}}}}
```

## Get Collection

> This endpoint allows you to retrieve a collection by its unique identifier (collection\_id).<br>

```json
{"openapi":"3.0.0","info":{"title":"Secoda API","version":"8.22.39"},"tags":[{"name":"Collections","description":"Groups of related resources within the workspace. Learn more about collections [here](https://docs.secoda.com/features/collections-1).\n"}],"servers":[{"url":"https://api.secoda.co","description":"Base URL for all US cloud based workspaces"},{"url":"https://eapi.secoda.co","description":"Base URL for all EU cloud based workspaces"},{"url":"https://aapi.secoda.co","description":"Base URL for all APAC cloud based workspaces"},{"url":"https://{customer_domain}.secoda.co","description":"Base URL for On Premise Secoda workspaces","variables":{"customer_domain":{"default":"customer_domain","description":"The specific domain set up for your On Premise Secoda workspace."}}}],"security":[{"ApiKeyAuth":[]}],"paths":{"/api/v1/collection/collections/{collection_id}":{"get":{"tags":["Collections"],"summary":"Get Collection","description":"This endpoint allows you to retrieve a collection by its unique identifier (collection_id).\n","parameters":[{"in":"path","name":"collection_id","description":"The unique identifier of the collection","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Collection retrieved successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/v1_CollectionResponse"}}}},"404":{"description":"Collection not found"},"500":{"description":"Internal Server Error"}}}}},"components":{"schemas":{"v1_CollectionResponse":{"allOf":[{"$ref":"#/components/schemas/v1_BaseResponse"},{"type":"object","properties":{"pinned":{"type":"boolean","description":"Refers to whether the resource has been pinned by user."},"resource_count":{"type":"integer","description":"Indicates how many resources are part of the collection."}}}]},"v1_BaseResponse":{"type":"object","properties":{"id":{"type":"string","description":"The unique identifier of the resource."},"created_at":{"type":"string","format":"date-time","description":"The timestamp when the resource was created in Secoda in UTC format."},"updated_at":{"type":"string","format":"date-time","description":"The timestamp when the resource was last updated in Secoda in UTC format."},"entity_type":{"type":"string","description":"The type of resource in Secoda."},"native_type":{"type":"string","description":"The native type of the resource as it is referred to in the integration."},"bookmarked_by":{"type":"array","items":{"type":"string"},"description":"List of member IDs that have bookmarked the resource."},"icon":{"type":"string","description":"The icon associated with the resource."},"title":{"type":"string","description":"The title of the resource."},"title_full":{"type":"string","description":"The full title of the resource, including its ancestry."},"title_cased":{"type":"string","description":"The title in a cased format."},"description":{"type":"string","description":"A description of the resource."},"definition":{"type":"string","format":"markdown","description":"The documentation of the resource, written in Mark Down format."},"definition_version":{"type":"integer","description":"The version of the resource's documentation."},"multiplayers":{"type":"array","items":{"type":"string"},"description":"List of members who have opened or worked with the resource recently."},"multiplayer_last_modified_by":{"type":"string","description":"The last member who modified this resource."},"multiplayer_last_modified":{"type":"string","format":"date-time","description":"The timestamp when the multiplayer was last modified in UTC format."},"owners":{"type":"array","items":{"type":"string"},"description":"List of owner IDs for the resource."},"owners_groups":{"type":"array","items":{"type":"string"},"description":"List of owner group IDs for the resource."},"collections":{"type":"array","items":{"type":"string"},"description":"List of IDs representing the collection(s) that the resource has been added to."},"tags":{"type":"array","items":{"type":"string"},"description":"List of tag IDs added to the resource."},"workspace_id":{"type":"string","description":"The ID of the workspace."},"total_usage":{"type":"integer","description":"The total usage count for the resource."},"published":{"type":"boolean","description":"Indicates if the resource is published and can be seen by Viewers."},"archived":{"type":"boolean","description":"Indicates if the resource is deleted."},"pii":{"type":"boolean","description":"Indicates if the resource contains Personally Identifiable Information (PII). Values can be - <ul> <li> True <li> False</ul>"},"verified":{"type":"boolean","description":"Indicates if the resource is verified. Values can be - <ul><li> True <li> False</ul>"},"url":{"type":"string","description":"The URL associated with the resource."},"parent":{"type":"string","description":"The parent resource's ID."},"children_count":{"type":"integer","description":"The count of children entities of the resource."},"integration":{"type":"string","description":"The integration ID associated with the resource."},"external_updated_at":{"type":"string","format":"date-time","description":"The timestamp of the last update for the resource in the source."},"internal_usage":{"type":"integer","description":"The internal usage count for the resource."},"internal_users":{"type":"array","items":{"type":"string"},"description":"List of internal user IDs for the resource."},"external_users":{"type":"array","items":{"type":"string"},"description":"List of external user IDs for the resource extracted from the integration."},"external_usage":{"type":"integer","description":"The external usage count for the resource extracted from the source source. This is what is used to calculate Popularity of a resource."},"databuilder_id":{"type":"string","description":"The databuilder ID associated with the resource. This is a generated field."},"search_metadata":{"type":"object","description":"Metadata related to indexing the resource for optimizing search."},"sources":{"type":"array","items":{"type":"string"},"description":"List of other integrations associated with the resource. For example, if a description is pulled in from DBT for a Snowflake table, this field will reference DBT."},"subscribers":{"type":"array","items":{"type":"string"},"description":"List of User IDs who subscribe to the resource."},"teams":{"type":"array","items":{"type":"string"},"description":"List of team IDs associated with the resource."},"stale":{"type":"boolean","description":"Indicates if the resource is stale. This means this resource no longer exists in the source, as of the last extraction."},"current_user_permissions":{"type":"object","description":"Permissions of the current user for this resource.","properties":{"read":{"type":"boolean"},"write":{"type":"boolean"},"execute":{"type":"boolean"}}}}}}}}
```

## Delete Collection

> This endpoint allows you to delete a collection by its unique identifier (collection\_id).<br>

```json
{"openapi":"3.0.0","info":{"title":"Secoda API","version":"8.22.39"},"tags":[{"name":"Collections","description":"Groups of related resources within the workspace. Learn more about collections [here](https://docs.secoda.com/features/collections-1).\n"}],"servers":[{"url":"https://api.secoda.co","description":"Base URL for all US cloud based workspaces"},{"url":"https://eapi.secoda.co","description":"Base URL for all EU cloud based workspaces"},{"url":"https://aapi.secoda.co","description":"Base URL for all APAC cloud based workspaces"},{"url":"https://{customer_domain}.secoda.co","description":"Base URL for On Premise Secoda workspaces","variables":{"customer_domain":{"default":"customer_domain","description":"The specific domain set up for your On Premise Secoda workspace."}}}],"security":[{"ApiKeyAuth":[]}],"paths":{"/api/v1/collection/collections/{collection_id}":{"delete":{"tags":["Collections"],"summary":"Delete Collection","description":"This endpoint allows you to delete a collection by its unique identifier (collection_id).\n","parameters":[{"in":"path","name":"collection_id","description":"The unique identifier of the collection to delete","required":true,"schema":{"type":"string"}}],"responses":{"204":{"description":"Collection deleted successfully"},"404":{"description":"Collection not found"},"500":{"description":"Internal Server Error"}}}}}}
```

## Edit Collection

> Use this endpoint to update collections. Note, adding resources to a collection through the API must be done on the resource that is added (by adding the collection\_id to the \`collections\` parameter). Related resources cannot be added using the \`/collection/collections\` endpoints.

```json
{"openapi":"3.0.0","info":{"title":"Secoda API","version":"8.22.39"},"tags":[{"name":"Collections","description":"Groups of related resources within the workspace. Learn more about collections [here](https://docs.secoda.com/features/collections-1).\n"}],"servers":[{"url":"https://api.secoda.co","description":"Base URL for all US cloud based workspaces"},{"url":"https://eapi.secoda.co","description":"Base URL for all EU cloud based workspaces"},{"url":"https://aapi.secoda.co","description":"Base URL for all APAC cloud based workspaces"},{"url":"https://{customer_domain}.secoda.co","description":"Base URL for On Premise Secoda workspaces","variables":{"customer_domain":{"default":"customer_domain","description":"The specific domain set up for your On Premise Secoda workspace."}}}],"security":[{"ApiKeyAuth":[]}],"paths":{"/api/v1/collection/collections/{collection_id}":{"patch":{"tags":["Collections"],"summary":"Edit Collection","description":"Use this endpoint to update collections. Note, adding resources to a collection through the API must be done on the resource that is added (by adding the collection_id to the `collections` parameter). Related resources cannot be added using the `/collection/collections` endpoints.","parameters":[{"in":"path","name":"collection_id","description":"The unique identifier of the collection to edit","required":true,"schema":{"type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/v1_BasePatchRequest"}}}},"responses":{"200":{"description":"Description updated successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/v1_CollectionResponse"}}}},"400":{"description":"Bad Request"},"404":{"description":"Collection not found"},"500":{"description":"Internal Server Error"}}}}},"components":{"schemas":{"v1_BasePatchRequest":{"type":"object","properties":{"description":{"type":"string","description":"A description of the resource."},"definition":{"type":"string","description":"Mark down documentation to be added to the resource."},"pii":{"type":"boolean","description":"Indicates whether the resource contains personally identifiable information (PII). Values can be - <ul><li> True <li> False</ul>"},"verified":{"type":"boolean","description":"Indicates whether the table has been set as verified. Values can be - <ul><li> True <li> False</ul>"},"published":{"type":"boolean","description":"Indicates if the resource is visible to viewers or not. Values can be - <ul><li> True <li> False</ul>"},"teams":{"type":"array","items":{"type":"string"},"description":"A list of team IDs that the resource belongs to."},"owners":{"type":"array","items":{"type":"string"},"description":"A list of owner user IDs for the resource."},"collections":{"type":"array","items":{"type":"string"},"description":"A list of collection IDs the resource belongs to."},"tags":{"type":"array","items":{"type":"string"},"description":"A list of tag IDs associated with the resources."},"subscribers":{"type":"array","description":"A list of the added user IDs that have been subscribed to the resource. Anyone subscribed will be notified of any changes.","items":{"type":"string"}}}},"v1_CollectionResponse":{"allOf":[{"$ref":"#/components/schemas/v1_BaseResponse"},{"type":"object","properties":{"pinned":{"type":"boolean","description":"Refers to whether the resource has been pinned by user."},"resource_count":{"type":"integer","description":"Indicates how many resources are part of the collection."}}}]},"v1_BaseResponse":{"type":"object","properties":{"id":{"type":"string","description":"The unique identifier of the resource."},"created_at":{"type":"string","format":"date-time","description":"The timestamp when the resource was created in Secoda in UTC format."},"updated_at":{"type":"string","format":"date-time","description":"The timestamp when the resource was last updated in Secoda in UTC format."},"entity_type":{"type":"string","description":"The type of resource in Secoda."},"native_type":{"type":"string","description":"The native type of the resource as it is referred to in the integration."},"bookmarked_by":{"type":"array","items":{"type":"string"},"description":"List of member IDs that have bookmarked the resource."},"icon":{"type":"string","description":"The icon associated with the resource."},"title":{"type":"string","description":"The title of the resource."},"title_full":{"type":"string","description":"The full title of the resource, including its ancestry."},"title_cased":{"type":"string","description":"The title in a cased format."},"description":{"type":"string","description":"A description of the resource."},"definition":{"type":"string","format":"markdown","description":"The documentation of the resource, written in Mark Down format."},"definition_version":{"type":"integer","description":"The version of the resource's documentation."},"multiplayers":{"type":"array","items":{"type":"string"},"description":"List of members who have opened or worked with the resource recently."},"multiplayer_last_modified_by":{"type":"string","description":"The last member who modified this resource."},"multiplayer_last_modified":{"type":"string","format":"date-time","description":"The timestamp when the multiplayer was last modified in UTC format."},"owners":{"type":"array","items":{"type":"string"},"description":"List of owner IDs for the resource."},"owners_groups":{"type":"array","items":{"type":"string"},"description":"List of owner group IDs for the resource."},"collections":{"type":"array","items":{"type":"string"},"description":"List of IDs representing the collection(s) that the resource has been added to."},"tags":{"type":"array","items":{"type":"string"},"description":"List of tag IDs added to the resource."},"workspace_id":{"type":"string","description":"The ID of the workspace."},"total_usage":{"type":"integer","description":"The total usage count for the resource."},"published":{"type":"boolean","description":"Indicates if the resource is published and can be seen by Viewers."},"archived":{"type":"boolean","description":"Indicates if the resource is deleted."},"pii":{"type":"boolean","description":"Indicates if the resource contains Personally Identifiable Information (PII). Values can be - <ul> <li> True <li> False</ul>"},"verified":{"type":"boolean","description":"Indicates if the resource is verified. Values can be - <ul><li> True <li> False</ul>"},"url":{"type":"string","description":"The URL associated with the resource."},"parent":{"type":"string","description":"The parent resource's ID."},"children_count":{"type":"integer","description":"The count of children entities of the resource."},"integration":{"type":"string","description":"The integration ID associated with the resource."},"external_updated_at":{"type":"string","format":"date-time","description":"The timestamp of the last update for the resource in the source."},"internal_usage":{"type":"integer","description":"The internal usage count for the resource."},"internal_users":{"type":"array","items":{"type":"string"},"description":"List of internal user IDs for the resource."},"external_users":{"type":"array","items":{"type":"string"},"description":"List of external user IDs for the resource extracted from the integration."},"external_usage":{"type":"integer","description":"The external usage count for the resource extracted from the source source. This is what is used to calculate Popularity of a resource."},"databuilder_id":{"type":"string","description":"The databuilder ID associated with the resource. This is a generated field."},"search_metadata":{"type":"object","description":"Metadata related to indexing the resource for optimizing search."},"sources":{"type":"array","items":{"type":"string"},"description":"List of other integrations associated with the resource. For example, if a description is pulled in from DBT for a Snowflake table, this field will reference DBT."},"subscribers":{"type":"array","items":{"type":"string"},"description":"List of User IDs who subscribe to the resource."},"teams":{"type":"array","items":{"type":"string"},"description":"List of team IDs associated with the resource."},"stale":{"type":"boolean","description":"Indicates if the resource is stale. This means this resource no longer exists in the source, as of the last extraction."},"current_user_permissions":{"type":"object","description":"Permissions of the current user for this resource.","properties":{"read":{"type":"boolean"},"write":{"type":"boolean"},"execute":{"type":"boolean"}}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.secoda.co/api/reference/collections.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
